org.apache.cayenne.template.parser

## Interface SQLTemplateParserTreeConstants

- All Known Implementing Classes:
    SQLTemplateParser

      public interface SQLTemplateParserTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JJTARRAY`
    `static int` | `JJTBLOCK`
    `static int` | `JJTBOOLSCALAR`
    `static int` | `JJTDIRECTIVE`
    `static int` | `JJTEXPRESSION`
    `static int` | `JJTFLOATSCALAR`
    `static int` | `JJTIFELSE`
    `static int` | `JJTINTSCALAR`
    `static int` | `JJTMETHOD`
    `static String[]` | `jjtNodeName`
    `static int` | `JJTSTRINGSCALAR`
    `static int` | `JJTTEXT`
    `static int` | `JJTVARIABLE`
    `static int` | `JJTVOID`

- - ### Field Detail

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTBLOCK

          static final int JJTBLOCK

      See Also:
        Constant Field Values

    - #### JJTTEXT

          static final int JJTTEXT

      See Also:
        Constant Field Values

    - #### JJTIFELSE

          static final int JJTIFELSE

      See Also:
        Constant Field Values

    - #### JJTDIRECTIVE

          static final int JJTDIRECTIVE

      See Also:
        Constant Field Values

    - #### JJTEXPRESSION

          static final int JJTEXPRESSION

      See Also:
        Constant Field Values

    - #### JJTSTRINGSCALAR

          static final int JJTSTRINGSCALAR

      See Also:
        Constant Field Values

    - #### JJTINTSCALAR

          static final int JJTINTSCALAR

      See Also:
        Constant Field Values

    - #### JJTFLOATSCALAR

          static final int JJTFLOATSCALAR

      See Also:
        Constant Field Values

    - #### JJTBOOLSCALAR

          static final int JJTBOOLSCALAR

      See Also:
        Constant Field Values

    - #### JJTVARIABLE

          static final int JJTVARIABLE

      See Also:
        Constant Field Values

    - #### JJTMETHOD

          static final int JJTMETHOD

      See Also:
        Constant Field Values

    - #### JJTARRAY

          static final int JJTARRAY

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final String[] jjtNodeName

Copyright © 2001–2021 Apache Cayenne. All rights reserved.